Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface BusinessViewInfo

All Superinterfaces:
  java.io.Serializable

    public interface BusinessViewInfo

extends java.io.Serializable

Represents a business view

Since:
  version 13.1

Method Summary
`java.util.List<BVElementInfo>` | `getAggregations()` get top level aggregations under business view
`java.util.List<BVElementInfo>` | `getCategories()` get top level categories under business view
`java.lang.String[]` | `getConnectionNames()` get connection names that this business view refers to.
`java.lang.String` | `getDatasourceName()` get datasource name of the query.
`java.util.List<BVElementInfo>` | `getDetails()` get top level details under business view
`java.lang.String` | `getDisplayName()` get display name
`java.util.List<BVElementInfo>` | `getGroups()` get top level groups under business view
`java.lang.String` | `getQueryName()` get query name of this business view
`boolean` | `isValidForCube()` check if the business view can be used to create cube.

Method Detail

### getDatasourceName

    java.lang.String getDatasourceName()

  get datasource name of the query.

  Returns:
    datasource name

### getDisplayName

    java.lang.String getDisplayName()

  get display name

  Returns:
    display name

### getCategories

    java.util.List<BVElementInfo> getCategories()

  get top level categories under business view

  Returns:
    `BVElementInfo` objects with `getType()` return `BVElementInfo.BVElementType.CATEGORY`.

### getGroups

    java.util.List<BVElementInfo> getGroups()

  get top level groups under business view

  Returns:
    `BVElementInfo` objects with `getType()` return `BVElementInfo.BVElementType.GROUP`.

### getAggregations

    java.util.List<BVElementInfo> getAggregations()

  get top level aggregations under business view

  Returns:
    `BVElementInfo` objects with `getType()` return `BVElementInfo.BVElementType.AGGREGATION`.

### getDetails

    java.util.List<BVElementInfo> getDetails()

  get top level details under business view

  Returns:
    `BVElementInfo` objects with `getType()` return `BVElementInfo.BVElementType.DETAILS`.

### isValidForCube

    boolean isValidForCube()

  check if the business view can be used to create cube.

  Returns:
    `true` if the the business view is valid to create cube, otherwise `false`
  Since:
    version 13.5

### getConnectionNames

    java.lang.String[] getConnectionNames()

  get connection names that this business view refers to.

  Returns:
    connection names

### getQueryName

    java.lang.String getQueryName()

  get query name of this business view

  Returns:
    query name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD